\relative c'' {   
  %   \set Staff.instrumentName = \markup { "ABlfl" }
    \set Staff.midiInstrument = #"fl" %  
    \set Timing.beamExceptions = #'()
    \overrideTimeSignatureSettings
     #'(3 . 4)  % timeSignatureFraction
     #'(1 . 4)  % baseMomentFraction
     #'(2 1 )    % beatStructure
     #'()       % beamExceptions
%       \overrideTimeSignatureSettings
%       #'(3 . 4)  % timeSignatureFraction
%       #'(1 . 8)  % baseMomentFraction
%       #'(6 )    % beatStructure
%       #'()       % beamExceptions

     
    \set Timing.baseMoment = #(ly:make-moment 1/8)
    \set Timing.beatStructure = #'(6)
     
  
  \time 4/4
  \key a\major   
  \compressFullBarRests
  \repeat volta 2 {
    e2.^\markup {\italic "(Gravement}" } a8 cis, |
    d4.\parc d8 d4.\para \prall  e8 |
    cis4.\prall h8 a4 cis8 d |
    h4.\prall h8 h4 a8\prall gis |
    % 5
    a2.\parc fis8 gis |
    a4\parc h8 cis h4.\prall a8 |
    gis2\prall h4 cis8\parc d |
    cis4.\prall cis8 fis4\para gis8\parc a |
    dis,4\prall h\parb h'2~ |
    % 10
    h4 a8\prall gis fis4.\prall e8 |
    e2 a8( gis) fis([ e)]  |
    a4.\parc gis8 fis4\parb gis8\parc a |
    \grace { \stemDown a8^( } e2) \stemNeutral a8.( gis16) fis[( e) d( cis)] |
    d4\parc e8 fis e4.\prall d8 |
    % 15
    cis8.\prall ( d16) d8\prall[ cis16 d] e8. d16 cis[ h a gis]  |
    a4.\parc a8 d4\para h\parb |
    gis\prall e a4.\para a8 |
    h8 cis h cis cis4.\prall h8 |
  }
  \alternative { { h1 | } { \once \override Staff.TimeSignature.style = #'single-digit \time 3/4 h2. } }
  
    r8 ^\markup {\italic "Gay"} e d cis h a |
  \repeat volta 2 {
    gis4.\prall a8 gis a |
    h cis h cis d e |
    cis4\prall a a'\para ~ |
    % 25
    a gis4.\prall fis8 |
    eis4.\prall fis8 eis fis |
    gis fis gis a h gis |
    a gis a h a h |
    gis\prall fis gis a gis a |
    % 30
    fis eis fis gis fis gis |
    eis4\prall cis\parb a'\para ~ |
    a8 gis gis4.\prall fis8 |
    fis a gis fis e d |
    cis4.\prall d8 cis d |
    % 35
    e2\parc e4 |
    e8 g fis e d cis |
    d2\parc d4 |
    d8 fis e d cis h |
    cis e fis e d cis  |
    % 40
    h d e d cis h  |
    a cis d cis h a  |
    gis4\prall e'4. e8 |
    fis4\para fis4.\prall fis8 |
    gis4 gis4.\prall gis8 |
    % 45
    a4 a,8 h cis a |
    h a h cis d h |
    cis4 fis cis\prall \para  |
    d e h\prall \para |
    cis2 h8\prall a  |
    % 50
    h d cis h a\prall gis |
    a4.\parc  cis8 h a |
    gis e a[ h a gis] |
    fis a d[ e d cis] |
    h e d cis h a |
    % 55
    gis4.\prall a8 gis a |
    h cis h cis d e |
    cis d cis h a gis |
    a\para h h4.\prall a8 |
    \time 4/4
    a2^\markup {\italic "(Lentement}" } cis~ |
    % 60
    cis4. h8 h4 a8\prall gis |
    a4\parc fis\parb fis'2~ |
    fis4 gis8\parc a gis4.\prall fis8 |
    eis2\prall e ~ |
    e4 fis8 e d4.\prall cis8  |
    % 65
    dis4\parc h\parb e4.\parb e8 |
    e4 d8\prall cis d2\parb ~ |
    d4. cis8 cis4.\prall h16 cis |
    h8( cis) cis4\prall d2~ |
    d4 e8\parc fis e4.\prall d8 |
    % 70
    cis2\prall fis4\para d\parb |
    \afterGrace h4 { \stemDown d16^( cis d) } \stemNeutral d8.\prall cis32 d e8. d16 cis[ h a gis] |
    a2\parc d2\para ~ |
    d4 cis8\prall h c2~ |
    c8( h) e[ gis,] a\parb ( h) d([ cis)]  |
    % 75
    \afterGrace cis2 { h16( a h) }  h4.\prall a16 h  |
  }
  \alternative {
    { \once \override Staff.TimeSignature.style = #'single-digit \time 3/4 a8 ^\markup {\italic "(Gay)"} e' d cis h a |}
    { \once \override Staff.TimeSignature #'transparent = ##t \time 4/4 a1 \bar "|." }
  }
  
 }
