\relative c'' {   
  %   \set Staff.instrumentName = \markup { "ABlfl" }
 %    \set Staff.midiInstrument = #"fl"  
%     \set Timing.beamExceptions = #'()
%     \overrideTimeSignatureSettings
%      #'(3 . 4)  % timeSignatureFraction
%      #'(1 . 4)  % baseMomentFraction
%      #'(2 1 )    % beatStructure
%      #'()       % beamExceptions
%       \overrideTimeSignatureSettings
%       #'(3 . 4)  % timeSignatureFraction
%       #'(1 . 8)  % baseMomentFraction
%       #'(6 )    % beatStructure
%       #'()       % beamExceptions

     
    \set Timing.baseMoment = #(ly:make-moment 1/8)
    \set Timing.beatStructure = #'(6)
     
  
  \time 4/4
  \key a\major   
  \compressFullBarRests
  \repeat volta 2 {
    \partial 8 e8 |
    e2~ e16 a gis fis e fis e d |
    cis4~ cis16 d cis d e8 d16 cis h8. a16 |
    gis4~ gis16 a gis a h cis h cis d8. e16 |
    cis8 a a'8. a16 a8 g16 fis g8. g16 |
    % 5
    g4 fis8. fis16 fis8. g16 e8. fis16 |
    dis4~ dis16 e dis e fis gis fis gis a8. h16 |
    gis4~ gis16 a gis a h8 a16 gis fis e dis cis |
    dis8 h h'8. h16 e, e fis gis a8. a16 |
    dis,8 h e4. e8 e8. dis16 |
    % 10
    e2~ e4.     
  }
  \repeat volta 2 {
    h8 |
    h4~ h16 h cis d e8 d16 cis d8. e16 |
    cis4 h8. cis16 d8. e16 e8. e16 |
    fis8 d fis8. fis16 fis8 g16 fis e d cis h |
    % 15
    ais4~ ais16 h ais h cis d cis d e cis fis e |
    dis4. dis16 dis e8. fis16 fis8. fis16 |
    g4~ g16 g fis g e4\tr fis16 fis e fis |
    dis8 h e8. e16 e8 d16 cis d8. d16 |
    gis,4. gis16 gis a8 h16 cis h8 cis16 d |
    % 20
    cis4 ~ cis16 a h cis d8. cis16 cis8. h16 |
    h4 e8. e16 e8 fis16 e d8. cis16 |
    d4. h16 cis d8 e16 fis e8. d16 |
    cis8. cis16 fis8 d h8. h16 e8. e16 |
    a,16 a h cis d8 h gis e4 e'16 e |
    fis gis fis gis gis8. fis32 gis a16 a, gis a h cis a h |
    cis cis d e fis8. fis16 h,8 cis h8. a16 |
    a2 ~ a4. 
  }  
 }