\relative c'' {   
  %   \set Staff.instrumentName = \markup { "ABlfl" }
    \set Staff.midiInstrument = #"fl"  
    \set Timing.beamExceptions = #'()
    \overrideTimeSignatureSettings
     #'(3 . 4)  % timeSignatureFraction
     #'(1 . 4)  % baseMomentFraction
     #'(2 1 )    % beatStructure
     #'()       % beamExceptions
%       \overrideTimeSignatureSettings
%       #'(3 . 4)  % timeSignatureFraction
%       #'(1 . 8)  % baseMomentFraction
%       #'(6 )    % beatStructure
%       #'()       % beamExceptions

     
    \set Timing.baseMoment = #(ly:make-moment 1/8)
    \set Timing.beatStructure = #'(6)
     
  
  \time 4/4
  \key a\major   
  \compressFullBarRests
  \repeat volta 2 {
    \tag #'partitur { e2.^\markup {\italic "(Gravement}" } a8 cis, |}
    \tag #'fl { e2. a8 cis, |}
    d4. d8 d4.   e8 |
    cis4. h8 a4 cis8 d |
    h4. h8 h4 a8 gis |
    % 5
    a2. fis8 gis |
    a4 h8 cis h4. a8 |
    gis2 h4 cis8 d |
    cis4. cis8 fis4 gis8 a |
    dis,4 h h'2~ |
    % 10
    h4 a8 gis fis4. e8 |
    e2 gis4 e |
    a4. gis8 fis4 gis8 a |
    \grace { \stemDown a8^( } e2) \stemNeutral a4 cis, |
    d e8 fis e4. d8 |
    % 15
    cis2 e4 gis, |
    a4. a8 d4 h |
    gis e a4. a8 |
    h8 cis h cis cis4. h8 |
  }
  \alternative { { h1 | } { \once \override Staff.TimeSignature.style = #'single-digit \time 3/4 h2. } }
  \repeat volta 2 {
    r8 ^\markup {\italic "Gay"} e d cis h[ a] |
    gis4. a8 gis a |
    h cis h cis d[ e] |
    cis4 a a'~ |
    % 25
    a gis4. fis8 |
    eis4. fis8 eis fis |
    gis fis gis a h gis |
    a gis a h a h |
    gis fis gis a gis a |
    % 30
    fis eis fis gis fis gis |
    eis4 cis a'~ |
    a8 gis gis4. fis8 |
    fis a gis fis e d |
    cis4. d8 cis d |
    % 35
    e2 e4 |
    e8 g fis e d cis |
    d2 d4 |
    d8 fis e d cis h |
    cis e fis e d cis  |
    % 40
    h d e d cis h  |
    a cis d cis h a  |
    gis4 e'4. e8 |
    fis4 fis4. fis8 |
    gis4 gis4. gis8 |
    % 45
    a4 a,8 h cis a |
    h a h cis d h |
    cis4 fis cis  |
    d e h |
    cis2 h8 a  |
    % 50
    h d cis h a gis |
    a4. cis8 h a |
    gis e a h a gis |
    fis a d e d cis |
    h e d cis h a |
    % 55
    gis4. a8 gis a |
    h cis h cis d e |
    cis d cis h a gis |
    a h h4. a8 |
    \time 4/4
    a2^\markup {\italic "(Lentement}" } cis~ |
    % 60
    cis4. h8 h4 a8 gis |
    a4 fis fis'2~ |
    fis4 gis8 a gis4. fis8 |
    eis2 e ~ |
    e4 fis8 e d4. cis8  |
    % 65
    dis4 h e4. e8 |
    e4 d8 cis d2~ |
    d4. cis8 cis4. h8 |
    h2 d~ |
    d4 e8 fis e4. d8 |
    % 70
    cis2 fis4 d |
    h2 e~ |
    e4 a, d2~ |
    d4 cis8 h c2~ |
    c4 h8 e16( gis,) a4. h16( d32 cis) |
    % 75
    cis2 h |
  }
  \alternative {
    { \once \override Staff.TimeSignature.style = #'single-digit \time 3/4 a8 ^\markup {\italic "(Gay)"} e' d cis h a |}
    { \once \override Staff.TimeSignature #'transparent = ##t \time 4/4 a1 \bar "|." }
  }
  
 }
