\relative c'' {   
  %   \set Staff.instrumentName = \markup { "ABlfl" }
 %    \set Staff.midiInstrument = #"fl"  
%     \set Timing.beamExceptions = #'()
%     \overrideTimeSignatureSettings
%      #'(3 . 4)  % timeSignatureFraction
%      #'(1 . 4)  % baseMomentFraction
%      #'(2 1 )    % beatStructure
%      #'()       % beamExceptions
%       \overrideTimeSignatureSettings
%       #'(3 . 4)  % timeSignatureFraction
%       #'(1 . 8)  % baseMomentFraction
%       #'(6 )    % beatStructure
%       #'()       % beamExceptions

     
    \set Timing.baseMoment = #(ly:make-moment 1/8)
    \set Timing.beatStructure = #'(6)
     
  
  \time 4/4
  \key a\major   
  \compressFullBarRests
  \repeat volta 2 {
    \partial 8 e8 |
    e2~ e16 a gis\prall fis e fis e d |
    cis4\prall ~ cis16 d cis d e8 d16 cis h8.\prall a16 |
    gis4\prall ~ gis16 a gis a h cis h cis d8.\parc e16 |
    cis8\prall a\parb a'8. a16 a8 g16\prall fis g8. g16 |
    % 5
    g4 fis8.\prall fis16 fis8. g16 e8.\prall fis16 |
    dis4\prall ~ dis16 e dis e fis gis fis gis a8. h16 |
    gis4\prall ~ gis16 a gis a h8 a16 gis fis e dis cis |
    dis8\prall h\parb h'8. h16 e, e fis gis a8. a16 |
    dis,8\prall h\parb e4.\para e8 e8.\prall dis16 |
    % 10
    e2\parc ~ e4.     
  }
  \repeat volta 2 {
    h8 |
    h4~ h16 h cis\para d e8 d16\prall cis d8.\parc e16 |
    cis4\prall h8.\prall cis16 d8.\parc e16 e8.\prall d32 e |
    fis8 d\parb fis8. fis16 fis8\para g16 fis e d cis h |
    % 15
    ais4\prall ~ ais16 h ais h cis d cis d e cis fis e |
    dis4.\prall dis16 dis e8.\parc fis16 \once \override Script.script-priority = #-100 fis8.\prall^\markup { \tiny \natural } e32 fis |
    g4\parc ~ g16 g fis g e4\prall fis16 fis e fis |
    dis8\prall h\parb e8.\parc e16 e8 d16\prall cis d8. d16 |
    gis,4.\prall gis16 gis a8\parc h16 cis h8 cis16\para d |
    % 20
    cis4\prall ~ cis16 a h cis d8.\parc cis16 cis8.\prall h16 |
    h4 e8. e16 e8 fis16 e d8.\prall cis16 |
    d4.\parc h16 cis d8 e16 fis e8.\prall d16 |
    cis8.\prall cis16 fis8 d\parb h8.\prall h16 e8. e16 |
    a,16 a h cis d8 h\parb gis\prall e4\parb e'16 e |
    fis gis fis gis gis8.\prall fis32 gis a16 a, gis a h cis a h |
    cis cis d\para e fis8. fis16 h,8 cis h8.\prall a16 |
    a2 ~ a4. 
  }  
 }